# BlendDataMasks(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``BlendDataMasks`(bpy_struct)

  Collection of masks

  `tag`(value)

    tag

    Parameters: | value (boolean) – Value

  `new`(name="")

    Add a new mask with a given name to the main database

    Parameters: | name (string, (optional, never None)) – Mask, Name of new mask data-block
    Returns: | New mask data-block
    Return type: | `Mask`

  `remove`(mask)

    Remove a masks from the current blendfile.

    Parameters: | mask (`Mask`, (never None)) – Mask to remove

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`BlendData.masks` |